%define		qtver	5.8.0
Summary:	Estonian digital signature application
Name:		qdigidoc
Version:	3.13.6
Release:	2
License:	LGPL v2+
Group:		X11/Applications
Source0:	https://github.com/open-eid/qdigidoc/releases/download/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	3e8de77f166b56670af489e81c7c46d3
Source1:	https://id.eesti.ee/config.json
# Source1-md5:	657f760fe4c7432ca3aedfa0d71ee05e
Source2:	https://id.eesti.ee/config.rsa
# Source2-md5:	08fad39a241c9a5723731914568157b5
Source3:	https://id.eesti.ee/config.pub
# Source3-md5:	b3931bf5a8a2f19cb00e53afd89e440d
Source4:	TSL.qrc
Source5:	config.qrc
Source6:	https://ec.europa.eu/information_society/policy/esignature/trusted-list/tl-mp.xml
# Source6-md5:	11235a4b7e7fbe7a5f5851e5c33ecc34
Source7:	EE.xml
# Source7-md5:	e15d2f875b47365970ced4697843e7c1
Patch0:		desktop.patch
Patch1:		sandbox-compilation.patch
Patch2:		build.patch
URL:		https://github.com/open-eid/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Network-devel >= %{qtver}
BuildRequires:	Qt5PrintSupport-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	libdigidocpp-devel >= 3.12
BuildRequires:	openldap-devel
BuildRequires:	openssl-devel
BuildRequires:	pcsc-lite-devel
BuildRequires:	pkgconfig
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	qt5-linguist >= %{qtver}
BuildRequires:	qt5-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.596
Requires(post,postun):	gtk-update-icon-cache
Requires:	desktop-file-utils
Requires:	hicolor-icon-theme
Requires:	shared-mime-info
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
QDigiDoc is an application for digitally signing and encrypting
documents in BDoc, DDoc, and CDoc container formats. These file
formats are widespread in Estonia where they are used for storing
legally binding digital signatures.

%package -n nautilus-%{name}
Summary:	Nautilus extension for %{name}
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus-python >= 1.0
Requires:	python-pygobject

%description -n nautilus-%{name}
This package contains the qdigidoc extension for the nautilus file
manager.

%package -n kde4-konqueror-plugin-%{name}
Summary:	Konqueror extension for %{name}
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description -n kde4-konqueror-plugin-%{name}
This package contains the qdigidoc extension for Konqueror.

%prep
%setup -q
install -d build/{common,client}
cp %{SOURCE1} build/common
cp %{SOURCE2} build/common
cp %{SOURCE3} build/common
cp %{SOURCE4} build/client
cp %{SOURCE5} build/common
cp %{SOURCE6} build/client
cp %{SOURCE7} build/client

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cd build
%cmake \
%ifarch %{arm} %{ix86} %{x8664}
	-DBREAKPAD=OFF \
%endif
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang nautilus-qdigidoc

desktop-file-validate $RPM_BUILD_ROOT%{_desktopdir}/qdigidoc-client.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_desktopdir}/qdigidoc-crypto.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor
%update_mime_database

%postun
%update_desktop_database
%update_icon_cache hicolor
%update_mime_database

%files
%defattr(644,root,root,755)
%doc AUTHORS README.md CONTRIBUTING.md
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/qdig*
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_datadir}/mime/packages/*.xml

%files -n nautilus-%{name} -f nautilus-qdigidoc.lang
%defattr(644,root,root,755)
%{_datadir}/nautilus-python/extensions/*.py

%files -n kde4-konqueror-plugin-%{name}
%defattr(644,root,root,755)
%{_datadir}/kde4/services/*.desktop
%changelog
* Mon Oct 04 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qdigidoc.git;a=log;h=master

* Mon Oct 04 2021 Jan Rękorajski <baggins@pld-linux.org> 4eac0c8
- rediff patch, rebuild with openssl 3.0.0, rel 2

* Fri Sep 28 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ea2bcf
- rel 1; builds

* Thu Sep 27 2018 Elan Ruusamäe <glen@pld-linux.org> 059a172
- update config.json config.rsa config.pub from origin

* Thu Sep 27 2018 Elan Ruusamäe <glen@pld-linux.org> b839162
- copy configs first, then patch

* Thu Sep 27 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a6c80b
- fetch 3.13.6 sources

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 1f87671
- release 2 (by relup.sh)

* Tue Sep 19 2017 Elan Ruusamäe <glen@pld-linux.org> a114c47
- url for tl-mp.xml

* Mon Sep 18 2017 Elan Ruusamäe <glen@pld-linux.org> 1d3247b
- add sandbox-compilation.patch from fedora

* Mon Sep 18 2017 Elan Ruusamäe <glen@delfi.ee> 0857b26
- BR pcsc-lite-devel

* Mon Sep 18 2017 Elan Ruusamäe <glen@delfi.ee> 6bac737
- uses qt5, use current qt5 versin from th as baseline

* Mon Sep 18 2017 Elan Ruusamäe <glen@delfi.ee> 961bdef
- requires libdigidocpp >= 3.12

* Mon Sep 18 2017 Elan Ruusamäe <glen@delfi.ee> 2bcfd37
- BR pkgconfig

* Mon Sep 18 2017 Elan Ruusamäe <glen@pld-linux.org> e3734c6
- up to 3.12.6

* Mon Sep 18 2017 Elan Ruusamäe <glen@pld-linux.org> 709ff9a
- forgotten patch

* Mon Feb 23 2015 Elan Ruusamäe <glen@pld-linux.org> 9f1c456
- up to 3.9.1.1369

* Mon Sep 18 2017 Elan Ruusamäe <glen@delfi.ee> 8b284f0
- rebuild

* Sun Apr 07 2013 Lukasz Glebicki <blekot@pld-linux.org> ea84a29
- up to 0.4.1
- removed applied patch

* Sun Apr 07 2013 Lukasz Glebicki <blekot@pld-linux.org> 0a1cc2d
- removed applied qdigidoc-nautilus-extensions-dir.patch
- added two manuals
- up to 0.4.1

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ba61f4
- release 6

* Fri May 20 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 4e7434c
- fixed destination directory of nautilus extension
- release 5

